<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'HeaderSection',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="header slp-mt-64">
    <SlpColumn class="slp-flex slp-flex-column slp-align-items-left">
      <div class="header__title">
        <SlpTypography tag="h1" variant="heading1-bold" class="slp-mb-16">{{
          data.title
        }}</SlpTypography>
      </div>
      <SlpTypography tag="h2" variant="heading5">
        <span
          v-if="data.subtitle"
          class="text__span slp-mt-24"
          v-html="$md.render(data.subtitle)"
        ></span>
      </SlpTypography>
    </SlpColumn>
  </section>
</template>

<style lang="scss" scoped>
.header {
  text-align: left;

  &__title {
    max-width: 820px;
  }
  @media (max-width: $breakpoint-md) {
    margin-top: 0;
    margin-top: $spacing-48;

    h3 {
      margin-bottom: $spacing-32;
    }
  }
}
</style>
